<div class="p-formgrid grid">
  <div class="col-12 md:col-8">
    <p-card
      *ngIf="feedbackSubmission"
      [header]="'Feedback: ' + feedbackSubmission.id"
    >
      <div class="grid-container">
        <div class="grid-item attribute-name">ID:</div>
        <div class="grid-item attribute-value">{{ feedbackSubmission.id }}</div>

        <div class="grid-item attribute-name">Eingereicht am:</div>
        <div class="grid-item attribute-value">
          {{ feedbackSubmission.submissionTime | date : 'medium' }}
        </div>

        <div class="grid-item attribute-name">Deduplication Key:</div>
        <div class="grid-item attribute-value">
          {{ feedbackSubmission.deduplicationKey || '-' }}
        </div>

        <div class="grid-item attribute-name">Antworten:</div>
        <div class="grid-item attribute-value">
          <div *ngFor="let answer of feedbackSubmission.answers" class="mb-3">
            <p class="mb-0">
              <strong>{{ answer.questionId }}</strong>
            </p>
            <p class="mb-0">{{ answer.selectedOptionId }}</p>
            <p class="mb-0">Zusätzliche Info: {{ answer.freeText || '-' }}</p>
          </div>
        </div>

        <div class="grid-item attribute-name">Device Details:</div>
        <div class="grid-item attribute-value">
          <pre [innerHTML]="feedbackSubmission.environment | prettyJson"></pre>
        </div>
      </div>
    </p-card>
  </div>
</div>
